Bug 36280 - admember.py remove_install_univention_samba fails because of removed deprecated function
admember.py remove_install_univention_samba fails because of removed deprecat...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: AD Connector
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Dirk Wiesenthal
Arvid Requate
: interim-3
Depends on:
Blocks: 36110
  Show dependency treegraph
 
Reported: 2014-10-23 10:27 CEST by Dirk Wiesenthal
Modified: 2014-11-26 06:55 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2014-10-23 10:27:20 CEST
remove_install_univention_samba uses apt.VersionCompare. This was deprecated in the old python-apt version, now it is gone.

Use
import apt_pkg
apt_pkg.version_compare()
Comment 1 Dirk Wiesenthal univentionstaff 2014-10-23 13:01:09 CEST
Removed the check completely as it compared to a samba version. This condition is always met in UCS 4.

  univention-lib 4.0.3-7.284.201410231146
Comment 2 Arvid Requate univentionstaff 2014-11-03 19:16:57 CET
Ok.
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:55:34 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".